Subject: bug#52193: mv broken on non-APFS filesystems on macOS on coreutils >= 9.0

From: Sudhip Nashi <[email-masked]>
Date: Mon, 29 Nov 2021 22:01:43 -0600

> I don't observe this problem with the latest development version of coreutils. Here's how I tried to reproduce the problem on macOS 11.3.1 20E241:
> 
> % touch /tmp/xxxx
> % src/mv /tmp/xxxx /tmp/yyyy
> 
> and it worked OK.

macOS is different in that /tmp isn’t actually on a tmpfs filesystem, but is rather just a normal directory on the main data volume that is cleaned on boot. One has to manually mount a tmpfs volume themselves with mount_tmpfs. Anyways, I’ll try the tarball linked and see if the issue still persists.